package com.smcic.api.admin.controller;


import com.google.common.collect.ImmutableMap;
import com.smcic.api.admin.entity.Leaders;
import com.smcic.api.admin.service.impl.LeadersServiceImpl;
import com.smcic.core.auth.LoginRequired;
import org.springframework.web.bind.annotation.*;

import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@RestController
@RequestMapping("/admin/leaders")
public class LeadersController {

    @Resource
    private LeadersServiceImpl leadersService;

    @RequestMapping("upload")
    @LoginRequired
    public Map<String, String> upload(@RequestParam(value = "file", required = false) MultipartFile file){
        return ImmutableMap.of("url", leadersService.upload(file));
    }

    @PostMapping("add")
    @LoginRequired
    public void add(@RequestBody Leaders leaders) {
        leadersService.add(leaders);
    }

    @GetMapping("list/{regionId}")
    @LoginRequired
    public List<Leaders> list(@PathVariable Long regionId) {
        return leadersService.listByRegion(regionId);
    }

    @DeleteMapping("delete/{id}")
    @LoginRequired
    public void delete(@PathVariable Long id) {
        leadersService.delete(id);
    }

    @PostMapping("update")
    @LoginRequired
    public void update(@RequestBody Leaders leaders) {
        leadersService.update(leaders);
    }

}
