package com.smcic.api.admin.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.admin.dto.NamePageDTO;
import com.smcic.api.admin.entity.Organ;
import com.smcic.api.admin.service.impl.OrganServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 机构表 前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@RestController
@RequestMapping("/admin/organ")
public class OrganController {

    @Resource
    private OrganServiceImpl organService;

    @PostMapping("/list")
    public Page<Organ> list(@RequestBody NamePageDTO namePageDTO) {
        return organService.organList(namePageDTO);
    }

    @PostMapping("add")
    public void add(@RequestBody Organ organ) {
        organService.create(organ);
    }

    @PostMapping("update")
    public void update(@RequestBody Organ organ) {
        organService.modify(organ);
    }

    @DeleteMapping("delete/{id}")
    public void delete(@PathVariable Long id) {
        organService.delete(id);
    }
}
