package com.smcic.api.admin.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.smcic.api.admin.dto.NamePageDTO;
import com.smcic.api.admin.dto.PwdResetDTO;
import com.smcic.api.admin.entity.Users;
import com.smcic.api.admin.service.impl.UsersServiceImpl;
import com.smcic.core.auth.LoginRequired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 客户表 前端控制器
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@RestController
@RequestMapping("/admin/custom")
public class UsersController {

    @Resource
    private UsersServiceImpl usersService;

    @PostMapping("/list")
    @LoginRequired
    public Page<Users> list(@RequestBody NamePageDTO namePageDTO){
        return usersService.usersPage(namePageDTO);
    }

    @PostMapping("/add")
    @LoginRequired
    public void add(@RequestBody Users users){
        usersService.create(users);
    }

    @DeleteMapping("/delete/{id}")
    @LoginRequired
    public void delete(@PathVariable Long id){
        usersService.del(id);
    }

    @PostMapping("/update")
    @LoginRequired
    public void update(@RequestBody Users users){
        usersService.modify(users);
    }

    @PostMapping("/pwd/reset")
    @LoginRequired
    public void pwdReset(@RequestBody PwdResetDTO pwdResetDTO){
        usersService.resetPwd(pwdResetDTO);
    }
}
