package com.smcic.api.admin.service.impl;

import com.smcic.api.admin.entity.AdminRole;
import com.smcic.api.admin.entity.AdminUserRole;
import com.smcic.api.admin.mapper.AdminUserRoleMapper;
import com.smcic.api.admin.service.IAdminUserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 管理员与角色的关系表 服务实现类
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Service
public class AdminUserRoleServiceImpl extends ServiceImpl<AdminUserRoleMapper, AdminUserRole> implements IAdminUserRoleService {

    @Resource
    private AdminRoleServiceImpl adminRoleService;
    public List<AdminRole> getRoles(Long userId){
        return lambdaQuery().eq(AdminUserRole::getUserId, userId).list().stream().map(m -> adminRoleService.getById(m.getRoleId())).collect(Collectors.toList());
    }
}
