package com.smcic.api.admin.service.impl;

import cn.hutool.core.date.DateTime;
import com.smcic.api.admin.entity.Leaders;
import com.smcic.api.admin.mapper.LeadersMapper;
import com.smcic.api.admin.service.ILeadersService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.smcic.api.admin.service.OSSService;
import com.smcic.core.advice.APIException;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.util.List;
import java.util.Random;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author syj
 * @since 2023-11-16
 */
@Service
public class LeadersServiceImpl extends ServiceImpl<LeadersMapper, Leaders> implements ILeadersService {

    @Resource
    private OSSService ossService;

    public String upload(MultipartFile file){
        if(null == file){
            throw new APIException("文件为空");
        }
        Random random = new Random();
        String path = "neican/img/leader/" + (new DateTime().toString("yyyyMMddHHmmss"))+"/" + random.nextInt() + "-" + file.getOriginalFilename();
        ossService.put("smcic-index", path, file);
        return  "https://cxzx.smcic.net/" + path;
    }

    public void add(Leaders leaders){
        leaders.setStatus(0);
        save(leaders);
    }

    public void update(Leaders leaders){
        Leaders old = getById(leaders.getLeaderId());
        if(null == old){
            throw new APIException("领导信息不存在");
        }

        leaders.setStatus(0);
        updateById(leaders);
    }

    public List<Leaders> listByRegion(Long regionId){
        return lambdaQuery().eq(Leaders::getRegionId, regionId).list();
    }

    public void delete(Long leaderId){
        Leaders leaders = getById(leaderId);
        if(null == leaders){
            throw new APIException("领导信息不存在");
        }
        removeById(leaderId);
    }


}
